package overflow_gateway_websocket

import "time"

// SocketHandler is configuration of the websocket server
type SocketHandler interface {
	GetMaxMessageSize() int64
	GetWriteTimeout() time.Duration
	GetReadTimeout() time.Duration
	GetPongTimeout() time.Duration
	GetPingTimeout() time.Duration
	GetPingPeriod() time.Duration
	IsBinaryMessage() bool
	GetProtocol() ProtocolHandler

	Validate()
}
